B15F Board 15 Famulus Edition

Public Member Functions | Static Public Member Functions | Protected Attributes | Static Protected Attributes | List of all members
View Class Referenceabstract

`#include <view.h>`

Inheritance diagram for View:

## Public Member Functions
virtual void | setTitle (std::string title)
virtual void | repaint (void)
virtual void | draw (void)=0
virtual call_t | keypress (int &key)=0

## Static Public Member Functions
static void | setWinContext (WINDOW *win)
static WINDOW * | getWinContext (void)
static std::vector< std::string > | str_split (const std::string &str, const std::string delim)

## Protected Attributes
int | width
int | height
int | start_x = 0
int | start_y = 0
std::string | title
std::vector< call_t > | calls

## Static Protected Attributes
static WINDOW * | win = nullptr
constexpr static int | KEY_ENT = 10

## Detailed Description

Base class for multiple views with the ncurses user interface.

Definition at line 19 of file view.h.

The documentation for this class was generated from the following files:

- ui/view.h
- ui/view.cpp